%global pypi_name dogpile.cache
%global pkgname dogpile-cache

Name:           python-%{pkgname}
Version:        1.3.1
Release:        %mkrel 1
Summary:        A caching front-end based on the Dogpile lock
Group:          Development/Python
License:        BSD
URL:            https://pypi.io/project/dogpile.cache
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
# for tests
BuildRequires:  python3-mako
BuildRequires:  python3-mock
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-stevedore

%description
Dogpile consists of two subsystems, one building on top of the other.

dogpile provides the concept of a "dogpile lock", a control structure
which allows a single thread of execution to be selected as the
"creator" of some resource, while allowing other threads of execution to
refer to the previous version of this resource as the creation proceeds;
if there is no previous version, then those threads block until the
object is available.

dogpile.cache is a caching API which provides a generic interface to
caching backends of any variety, and additionally provides API hooks
which integrate these cache backends with the locking mechanism of
dogpile.

Overall, dogpile.cache is intended as a replacement to the Beaker
caching system, the internals of which are written by the same author.
All the ideas of Beaker which "work" are re- implemented in
dogpile.cache in a more efficient and succinct manner, and all the cruft
(Beaker's internals were first written in 2005) relegated to the trash
heap.

%package -n python3-%{pkgname}
Summary:        A caching front-end based on the Dogpile lock
Group:          Development/Python
Requires:       python3-mako
%{?python_provide:%python_provide python3-%{pkgname}}
%{?python_provide:%python_provide python3-%{pypi_name}}

Provides:       python3-dogpile-core = %{version}-%{release}
Obsoletes:      python3-dogpile-core < 0.4.1-10

%description -n python3-%{pkgname}
Dogpile consists of two subsystems, one building on top of the other.

dogpile provides the concept of a "dogpile lock", a control structure
which allows a single thread of execution to be selected as the
"creator" of some resource, while allowing other threads of execution to
refer to the previous version of this resource as the creation proceeds;
if there is no previous version, then those threads block until the
object is available.

dogpile.cache is a caching API which provides a generic interface to
caching backends of any variety, and additionally provides API hooks
which integrate these cache backends with the locking mechanism of
dogpile.

Overall, dogpile.cache is intended as a replacement to the Beaker
caching system, the internals of which are written by the same author.
All the ideas of Beaker which "work" are re- implemented in
dogpile.cache in a more efficient and succinct manner, and all the cruft
(Beaker's internals were first written in 2005) relegated to the trash
heap.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dogpile

%check
%pytest

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Jun 27 2024 papoteur <papoteur> 1.3.1-1.mga10
+ Revision: 2077260
- new version 1.3.1

* Sun Jan 21 2024 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 2033455
- new version 1.3.0

* Sun Sep 10 2023 papoteur <papoteur> 1.2.2-1.mga10
+ Revision: 1986026
- use generate BR
- new 1.2.2

* Thu Sep 29 2022 neoclust <neoclust> 1.1.8-1.mga9
+ Revision: 1893232
- New version 1.1.8

* Wed Mar 30 2022 umeabot <umeabot> 1.1.5-2.mga9
+ Revision: 1833900
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.1.5-1.mga9
+ Revision: 1784514
- version 1.1.5
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 1.1.3-1.mga9
+ Revision: 1743143
- new version 1.1.3

* Sun Mar 21 2021 daviddavid <daviddavid> 1.0.2-2.mga9
+ Revision: 1706914
- rebuild for python 3.9

* Fri Oct 30 2020 joequant <joequant> 1.0.2-1.mga8
+ Revision: 1640627
- update to 1.0.2

* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1535053
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1450716
- new version: 0.8.0

* Mon Oct 07 2019 daviddavid <daviddavid> 0.6.8-2.mga8
+ Revision: 1450366
- rebuild for python3.8
- drop python2 support

* Fri Mar 15 2019 pterjan <pterjan> 0.6.8-1.mga7
+ Revision: 1377459
- Update to 0.6.8

* Fri Jan 11 2019 ngompa <ngompa> 0.6.7-1.mga7
+ Revision: 1354956
- Sync spec from Fedora to rebase to 0.6.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.7-3.mga7
+ Revision: 1288785
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.7-2.mga7
+ Revision: 1135400
- Rebuild for python 3.6

* Mon Feb 15 2016 daviddavid <daviddavid> 0.5.7-1.mga6
+ Revision: 961223
- new version: 0.5.7
- use new python macros

* Sun Oct 11 2015 pterjan <pterjan> 0.5.5-1.mga6
+ Revision: 889620
- Update to 0.5.5

* Sat Oct 10 2015 tv <tv> 0.5.4-5.mga6
+ Revision: 888888
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-4.mga5
+ Revision: 743048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.4-3.mga5
+ Revision: 728373
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-2.mga5
+ Revision: 688005
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 pterjan <pterjan> 0.5.4-1.mga5
+ Revision: 668494
- 0.5.4

* Fri Jun 27 2014 pterjan <pterjan> 0.5.3-1.mga5
+ Revision: 640190
- 0.5.3

* Sat May 31 2014 pterjan <pterjan> 0.5.0-2.mga5
+ Revision: 628616
- Rebuild for new Python

* Tue Dec 03 2013 pterjan <pterjan> 0.5.0-1.mga4
+ Revision: 554821
- imported package python-dogpile-cache


* Mon Sep 9 2013 Pádraig Brady <pbrady@redhat.com> - 0.5.0-1
- Update to 0.5.0 release

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Ralph Bean <rbean@redhat.com> - 0.4.2-1
- Upstream accepted async patches.
- Added BuildRequires on python-mock
- Restrict python-dogpile-core to newer version.
- Remove tests since they're kind of stochastic.

* Fri Jan 11 2013 Ralph Bean <rbean@redhat.com> - 0.4.1-2.20130111hg111
- Updated experimental async work.
- Actually require python-dogpile-core for install.

* Thu Jan 03 2013 Ralph Bean <rbean@redhat.com> - 0.4.1-1.20130103hg108
- Move to a post-release hg checkout.
- Experimenting with background value creation.
- Temporarily removed the CHANGES doc

* Tue Dec 18 2012 Ralph Bean <rbean@redhat.com> - 0.4.0-3
- Remove period from end of summary.

* Fri Dec 14 2012 Ralph Bean <rbean@redhat.com> - 0.4.0-2
- Disable tests on epel6.

* Tue Dec 11 2012 Ralph Bean <rbean@redhat.com> - 0.4.0-1
- Initial packaging for Fedora
